<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\User;
use Illuminate\Support\Facades\Hash;

class DatabaseSeeder extends Seeder
{
    /**
     * Seed the application's database.
     */
    public function run(): void
    {
        User::updateOrCreate(['email' => 'admin@ccr.cl'], [
            'name' => 'Administrador C.C.R.',
            'email_verified_at' => now(),
            'password' => Hash::make('Admin12345!'),
        ]);

        $this->call(ApplicationSeeder::class);
    }
}
